petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSortRealWithPermutation

Computes the permutation of values that gives a sorted sequence.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortRealWithPermutation(PetscInt n,const PetscReal i[],PetscInt idx[])

Not Collective

### Input Parameters

| n | - number of values to sort
| i | - values to sort
| idx | - permutation array. Must be initialized to 0:n-1 on input.

### Notes

i is unchanged on output.

### See Also

PetscSortReal(), PetscSortIntWithPermutation()

Level:intermediate
Location:src/sys/utils/sortip.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html